<template>
    <div class='movieDetailBlock'>
        <img :src=movieItem.url class='poster'>

        <div class='mainCont'>
            <div class='detCont'>
                <div class='detail'>
                    <span> Réalisateur </span>
                    <small> Nom</small> <input :value=movieItem.director.name type='text' id='name'>
                    <small> Nationalité </small> <input :value=movieItem.director.nationality type='text' id='nationality'>
                    <small> Anniversaire </small> <input :value=movieItem.director.birthday type='text' id='birthday'>
                </div>

                <div class='detail'>
                    <span> Film </span>
                    <small> Titre</small> <input :value=movieItem.title type='text' id='title'>
                    <small> Date de sortie </small> <input :value=movieItem.releaseDate type='text' id='year'>
                    <small> Genre </small> <input :value=movieItem.genre type='text' id='genre'>
                    <small> URL Poster </small> <input :value=movieItem.url type='text' id='poster'>
                </div>
            </div>
            <StarRating style='align-self:center' :rating=movieItem.note :show-rating=false :active-on-click=true @rating-selected ="setRating"> </StarRating>
            <div class='detCont'>
                <router-link class='btnSec' :to="'/movie/'+index">Retour</router-link>

                <button class='btnSb'  :to="'/'" @click="edit(index)">Sauvegarder</button>
            </div>
        </div>
    </div>
    
</template>




<script>
    import StarRating from 'vue-star-rating'
        export default {
            props: ['id'],
            data() {
                return {
                    movieItem : this.$movies[this.id],
                    index : this.id
                }
            },
            methods: {
                edit(id) {
                    this.$emit('edit', id) 
                },
                setRating(note) {
                    this.$movies[this.id].note=note;
                }
            },
            components: {
                StarRating
            }
        }
</script>

<style scoped>
    .mainCont {
        width:30%;
        display:flex;
        flex-direction: column;
        
    }
    .detCont {
        display:flex;
        flex-direction: row;
        justify-content: space-between;
        flex-wrap: wrap;
    }
    .detail {
        font-weight: bold;
        font-size:20px;
        display:flex;
        flex-direction: column;
        border : #fafafafa solid 5px;
        border-radius:10px;
        padding:20px;
        flex-wrap: wrap;
        min-width:200px;
        max-width:200px;
    }
    div.detail span:first-child {
        margin-bottom:30px;
        font-weight:bolder;
    }
    .movieDetailBlock {
        display:flex;
        flex-direction: row;
        width:100%;
        align-items: center;
        justify-content: space-around;
        flex-wrap: wrap;
    }
    .poster {
        border-radius:10px;
        height:80%;
        border : #fafafafa solid 5px;
    }
    .poster:hover {
        border : #fafafafa solid 5px;
    }
</style>